Subject: git + cygwin + core.editor - adding drive when it shouldn't

From: layer <[email-masked]>
Date: Thu, 23 Jun 2011 14:23:10 -0700

Windows Server 2008 R2.  Git 1.7.5.1.

When I startup bash in my home directory, HOME is /home/layer.

If I rebase -i, when core.editor set to emacsclientw (from GNU Emacs
23.2), I trace the server side and see a bogus filename coming over:

1 -> server-visit-files: files=(("c:/home/layer/acl82.64/src/cl/.git/rebase-merge/git-rebase-todo")) proc=#<process server <127.0.0.1:55428>> nowait=nil

c:/home/layer/... is wrong.  The value in Windows of HOME is
c:\cygwin\home\layer, and as I said, bash makes it /home/layer.

Adding the c: before /home is killing me.  It makes it impossible to
rebase when the inside my home directory.

Help!

Thanks.

Kevin